=== debian/changelog ===
ros-foxy-rmw-cyclonedds-cpp (0.7.11-1focal) focal; urgency=high

  * Handle allocation errors during message deserialization (#313 <https://github.com/ros2/rmw_cyclonedds/issues/313>) (#419 <https://github.com/ros2/rmw_cyclonedds/issues/419>)
  * Adds topic name to error msg when create_topic fails (#410 <https://github.com/ros2/rmw_cyclonedds/issues/410>) (#422 <https://github.com/ros2/rmw_cyclonedds/issues/422>)_
  * Contributors: Jacob Perron, Michel Hidalgo, Tully Foote, Voldivh

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 20 Sep 2022 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.10-1focal) focal; urgency=high

  * Improve error message when create_topic fails (#405 <https://github.com/ros2/rmw_cyclonedds/issues/405> #408 <https://github.com/ros2/rmw_cyclonedds/issues/408>)
  * Contributors: Shane Loretz, Tully Foote

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Sep 2022 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.9-1focal) focal; urgency=high

  * Fix the history depth for KEEP_ALL (#305 <https://github.com/ros2/rmw_cyclonedds/issues/305>) (#394 <https://github.com/ros2/rmw_cyclonedds/issues/394>)
  * Contributors: Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.8-1focal) focal; urgency=high

  * Free with the same allocator in rmw_destroy_node (#355 <https://github.com/ros2/rmw_cyclonedds/issues/355>) (#369 <https://github.com/ros2/rmw_cyclonedds/issues/369>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 04 Feb 2022 08:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.7-1focal) focal; urgency=high

  * Add -latomic for RISC-V (#332 <https://github.com/ros2/rmw_cyclonedds/issues/332>) (#333 <https://github.com/ros2/rmw_cyclonedds/issues/333>)
  * Contributors: guillaume-pais-siemens

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 31 Aug 2021 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.6-1focal) focal; urgency=high

  * Delete problematic assert in rmw_init() (#265 <https://github.com/ros2/rmw_cyclonedds/issues/265>)
  * Fix context cleanup (#227 <https://github.com/ros2/rmw_cyclonedds/issues/227>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.5-1focal) focal; urgency=high

  * Fixed cppcheck issue
  * Update service/client construction/destruction API return codes. (#247 <https://github.com/ros2/rmw_cyclonedds/issues/247>)
  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#250 <https://github.com/ros2/rmw_cyclonedds/issues/250>)
  * Update service/client request/response API error returns (#249 <https://github.com/ros2/rmw_cyclonedds/issues/249>)
  * Updated rmw_* return codes (#246 <https://github.com/ros2/rmw_cyclonedds/issues/246>)
  * Update gid API return codes. (#244 <https://github.com/ros2/rmw_cyclonedds/issues/244>)
  * Update graph API return codes. (#243 <https://github.com/ros2/rmw_cyclonedds/issues/243>)
  * Check for message_info on take where appropriate. (#245 <https://github.com/ros2/rmw_cyclonedds/issues/245>)
  * Updated error returns on rmw_take_serialized and with_message_info (#242 <https://github.com/ros2/rmw_cyclonedds/issues/242>)
  * Updated error returns on rmw_take (#241 <https://github.com/ros2/rmw_cyclonedds/issues/241>)
  * Update rmw_publish_serialized_message() error returns (#240 <https://github.com/ros2/rmw_cyclonedds/issues/240>)
  * Update rmw_publish() error returns (#239 <https://github.com/ros2/rmw_cyclonedds/issues/239>)
  * Ensure compliant matched pub/sub count API. (#223 <https://github.com/ros2/rmw_cyclonedds/issues/223>)
  * Change RET_WRONG_IMPLID() to return RMW_RET_INCORRECT_IMPLEMENTATION (#226 <https://github.com/ros2/rmw_cyclonedds/issues/226>)
  * Fix bad conditional in rmw_serialize(). (#217 <https://github.com/ros2/rmw_cyclonedds/issues/217>)
  * Ensure compliant subscription API. (#214 <https://github.com/ros2/rmw_cyclonedds/issues/214>)
  * Ensure compliant publisher API (#210 <https://github.com/ros2/rmw_cyclonedds/issues/210>)
  * Ensure compliant node construction/destruction API. (#206 <https://github.com/ros2/rmw_cyclonedds/issues/206>)
  * Amend rmw_init() implementation: require enclave. (#204 <https://github.com/ros2/rmw_cyclonedds/issues/204>)
  * Ensure compliant init/shutdown API implementations. (#202 <https://github.com/ros2/rmw_cyclonedds/issues/202>)
  * Ensure compliant init options API implementations. (#200 <https://github.com/ros2/rmw_cyclonedds/issues/200>)
  * Finalize context iff shutdown. (#196 <https://github.com/ros2/rmw_cyclonedds/issues/196>)
  * Contributors: Alejandro Hernández Cordero, Jose Tomas Lorente, Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 15 Oct 2020 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.4-1focal) focal; urgency=high

  * rmw_destroy_node must remove node from graph cache (#252 <https://github.com/ros2/rmw_cyclonedds/issues/252>)
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.3-1focal) focal; urgency=high

  * Fix lost service responses (#183 <https://github.com/ros2/rmw_cyclonedds/issues/183>, #74 <https://github.com/ros2/rmw_cyclonedds/issues/74>) (#187 <https://github.com/ros2/rmw_cyclonedds/issues/187>) (#209 <https://github.com/ros2/rmw_cyclonedds/issues/209>)
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 21 Jul 2020 07:00:00 -0000

ros-foxy-rmw-cyclonedds-cpp (0.7.2-1focal) focal; urgency=high

  * Handle RMW_DEFAULT_DOMAIN_ID (#194 <https://github.com/ros2/rmw_cyclonedds/issues/194>) (#199 <https://github.com/ros2/rmw_cyclonedds/issues/199>)
  * Contributors: Michel Hidalgo

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 07 Jul 2020 07:00:00 -0000


