=== debian/control ===
Source: ros-foxy-rmw-cyclonedds-cpp
Section: misc
Priority: optional
Maintainer: Erik Boasson <erik.boasson@adlinktech.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-cyclonedds, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-dds-common, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-typesupport-introspection-c, ros-foxy-rosidl-typesupport-introspection-cpp, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-cyclonedds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-cyclonedds, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-dds-common, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-typesupport-introspection-c, ros-foxy-rosidl-typesupport-introspection-cpp, ros-foxy-ros-workspace
Description: Implement the ROS middleware interface using Eclipse CycloneDDS in C++.
